Construct a new BSON array instance from PHP data

- « MongoDB\BSON\PackedArray::__construct

- MongoDB\BSON\PackedArray::get »

- PHP Manual
- MongoDB\BSON\PackedArray
- Construct a new BSON array instance from PHP data

# MongoDB\BSON\PackedArray::fromPHP

(mongodb >=1.16.0)

MongoDB\BSON\PackedArray::fromPHP — Construct a new BSON array instance from PHP data

### Description

final static public MongoDB\BSON\PackedArray::fromPHP(array `$value`): MongoDB\BSON\PackedArray

### Parameters

`value` (array)

  The PHP array to convert to a BSON array. The array must be a list (i.e. have sequential numeric keys starting with `0`).

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.
- Throws MongoDB\Driver\Exception\InvalidArgumentException if the given array is not a list (i.e. has sequential numeric keys starting with `0`).

### See Also

- MongoDB\BSON\fromPHP() - Returns the BSON representation of a PHP value
- » BSON Types